"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postgraphilePresetAmber = exports.orderedPlugins = void 0;
require("graphile-config");
const graphile_build_1 = require("graphile-build");
const graphile_build_pg_1 = require("graphile-build-pg");
// Shunts the plugins into an order that's more compatible with PostGraphile V4.
exports.orderedPlugins = {
    plugins: [
        graphile_build_1.QueryQueryPlugin,
        graphile_build_pg_1.PgBasicsPlugin,
        graphile_build_pg_1.PgCodecsPlugin,
        graphile_build_pg_1.PgTypesPlugin,
        graphile_build_pg_1.PgIntrospectionPlugin,
        graphile_build_pg_1.PgTablesPlugin,
        graphile_build_1.AddNodeInterfaceToSuitableTypesPlugin,
        graphile_build_1.NodePlugin,
        graphile_build_pg_1.PgAllRowsPlugin,
        graphile_build_pg_1.PgRowByUniquePlugin,
        graphile_build_pg_1.PgColumnsPlugin,
        graphile_build_1.MutationPayloadQueryPlugin,
        graphile_build_pg_1.PgRelationsPlugin,
        graphile_build_pg_1.PgMutationCreatePlugin,
        graphile_build_pg_1.PgMutationUpdateDeletePlugin,
        graphile_build_pg_1.PgCustomTypeFieldPlugin,
        graphile_build_1.NodeAccessorPlugin,
        graphile_build_pg_1.PgOrderAllColumnsPlugin,
        graphile_build_pg_1.PgOrderCustomFieldsPlugin,
        graphile_build_pg_1.PgOrderByPrimaryKeyPlugin,
        graphile_build_pg_1.PgMutationPayloadEdgePlugin,
    ],
};
exports.postgraphilePresetAmber = {
    extends: [exports.orderedPlugins, graphile_build_1.defaultPreset, graphile_build_pg_1.defaultPreset],
    plugins: [graphile_build_1.SwallowErrorsPlugin],
};
exports.default = exports.postgraphilePresetAmber;
//# sourceMappingURL=amber.js.map